/*:root{
    --bg-color: #1f242d;
    --second-bg-color: #323946;
    --main-color: #60CCEC;
    --white-color: #fff;
    --disabled-color: #fff3;
}*/

.resume-box .resume-detail{
    display: none;
}

.resume-detail.active{
    display: block;
}

.resume-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 2rem;
    height: 45rem;
    overflow: auto;
    transition: 0.5s;
}

.resume-list::-webkit-scrollbar{
    width: .7rem;
}

.resume-list::-webkit-scrollbar-thumb{
    background-color: transparent;
    border-radius: 1rem;
}

.resume-list:hover::-webkit-scrollbar-thumb{
    background-color: var(--main-color);
}

.resume-list .resume-item{
    background: var(--second-bg-color);
    border-radius: .8rem;
    padding: 3rem 2.5rem;
    height: calc((45rem - 2rem) / 2);
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.resume-item .year{
    color: var(--main-color);
}

.resume-item h3{
    font-size: 2.2rem;
}

.resume-item  .company{
    position: relative;
    margin-left: 2rem;
    margin-bottom: 2rem;
}
.resume-item  .company::before{
    content: '';
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    padding: .5rem;
    background: var(--main-color);
    border-radius: 50%;
    margin-left: -5%;
}

.resume-detail.skills .resume-list {
    grid-template-columns: repeat(auto-fit, minmax(12rem, 1fr));
    height: auto;
    overflow: visible;
}

.resume-detail.skills .resume-list .resume-item {
    position: relative;
    align-items: center;
    height: auto;
}

.resume-detail.skills .resume-list .resume-item i {
    font-size: 5.5rem;
}

.resume-detail.skills .resume-item:hover i {
    color: var(--main-color);
}

.resume-detail.skills .resume-item span {
    position: absolute;
    top: -20%;
    background: var(--second-bg-color);
    border-top-left-radius: .8rem;
    border-top-right-radius: .8rem;
    border: none;
    border-top: .2rem solid var(--main-color);
    color: var(--white-color);
    font-size: 1.7rem;
    padding: .5rem 1rem;
    pointer-events: none;
    opacity: 0;
    transform: scale(.9);
    transition: .2s;
    text-align: center;
}

.resume-detail.skills .resume-item:hover span {
    top: -25%;
    opacity: 1;
    transform: scale(1);
}

.resume-detail.about .resume-list{
    height: auto;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
}

.resume-detail.about .resume-item {
    height: auto;
    padding: 0 0 .5rem;
    background: transparent;
}

.resume-detail.about .resume-item p {
    color: var(--main-color);
}

.resume-detail.about .resume-item p span {
    color: var(--white-color);
}